summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorX2go Administrator <x2go-admin@ymir.das-netzwerkteam.de>2011-04-21 13:44:18 +0200
committerX2go Administrator <x2go-admin@ymir.das-netzwerkteam.de>2011-04-21 13:44:18 +0200
commit8d68e2a366f3950ef8625e6fec4ac33822c8ce96 (patch)
tree4afdba1efb8c85acf32c63689dc7d034ae908fbe /bin
parentde9f6b5bfa60f1bfa94617fc449517b8af72ffc0 (diff)
downloadbuildscripts-8d68e2a366f3950ef8625e6fec4ac33822c8ce96.tar.gz
buildscripts-8d68e2a366f3950ef8625e6fec4ac33822c8ce96.tar.bz2
buildscripts-8d68e2a366f3950ef8625e6fec4ac33822c8ce96.zip
adds pdebuild-user-mode-linux as in pbuilder-uml 0.199+nmu3
Diffstat (limited to 'bin')
-rwxr-xr-xbin/pdebuild-user-mode-linux63
1 files changed, 63 insertions, 0 deletions
diff --git a/bin/pdebuild-user-mode-linux b/bin/pdebuild-user-mode-linux
new file mode 100755
index 0000000..daab151
--- /dev/null
+++ b/bin/pdebuild-user-mode-linux
@@ -0,0 +1,63 @@
+#! /bin/bash
+# pbuilder-user-mode-linux -- personal Debian package builder
+# Copyright (C) 2003-2007 Junichi Uekawa
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+
+set -e
+
+while ! test -d ./debian -o "$(pwd)" = "/" ; do
+ cd ..;
+done
+
+if test ! -d ./debian; then
+ echo "E: Cannot find ./debian dir" >&2
+ exit 1
+fi;
+export PBCURRENTCOMMANDLINEOPERATION="pdebuild"
+
+. /usr/lib/pbuilder/pbuilder-loadconfig
+. /usr/lib/pbuilder/pdebuild-uml-checkparams
+
+PKG_SOURCENAME=$(dpkg-parsechangelog|sed -n 's/^Source: //p')
+PKG_VERSION=$(dpkg-parsechangelog|sed -n 's/^Version: \(.*:\|\)//p')
+ARCHITECTURE=$(dpkg-architecture -qDEB_HOST_ARCH)
+
+
+if [ "${USE_PDEBUILD_INTERNAL}" = 'yes' ]; then
+ if [ ! readlink -f .. ]; then
+ echo "E: Cannot find .. dir from PWD=$(pwd)" >&2
+ exit 1
+ fi
+ pbuilder-user-mode-linux execute "$@" --bindmounts $(readlink -f ..) /usr/lib/pbuilder/pdebuild-internal ${PWD} --debbuildopts "" --debbuildopts "${DEBBUILDOPTS}"
+else
+ if ! dpkg-checkbuilddeps -B; then
+ echo "W: Unmet build-dependency in source" >&2
+ fi
+ CMD="dpkg-buildpackage -S -us -uc -r${BUILDSOURCEROOTCMD} $DEBBUILDOPTS"
+ echo "I: Running $CMD" >&2
+ echo "$CMD" | /bin/bash
+ pbuilder-user-mode-linux build "$@" --buildresult "${UML_BUILDRESULT}" ../"${PKG_SOURCENAME}_${PKG_VERSION}".dsc
+fi
+
+# do signing with optional key specifier
+if [ "${AUTO_DEBSIGN}" = "yes" ]; then
+ unset DEBSIGN_PARAM || true
+ if [ -n "${DEBSIGN_KEYID}" ]; then
+ DEBSIGN_PARAM[1]="-k${DEBSIGN_KEYID}"
+ fi
+ DEBSIGN_PARAM[2]="${UML_BUILDRESULT}/${PKG_SOURCENAME}_${PKG_VERSION}_${ARCHITECTURE}.changes"
+ debsign "${DEBSIGN_PARAM[@]}"
+fi